=head1 NAME

Gtk2::Viewport - wrapper for GtkViewport

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Viewport



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Viewport-E<gt>B<new> ($hadjustment=undef, $vadjustment=undef)

=over

=item * $hadjustment (Gtk2::Adjustment or undef) 

=item * $vadjustment (Gtk2::Adjustment or undef) 

=back

=head2 window or undef = $viewport-E<gt>B<get_bin_window> 

Since: gtk+ 2.20

=head2 adjustment = $viewport-E<gt>B<get_hadjustment> 

=head2 $viewport-E<gt>B<set_hadjustment> ($adjustment)

=over

=item * $adjustment (Gtk2::Adjustment) 

=back

=head2 shadowtype = $viewport-E<gt>B<get_shadow_type> 

=head2 $viewport-E<gt>B<set_shadow_type> ($type)

=over

=item * $type (Gtk2::ShadowType) 

=back

=head2 adjustment = $viewport-E<gt>B<get_vadjustment> 

=head2 $viewport-E<gt>B<set_vadjustment> ($adjustment)

=over

=item * $adjustment (Gtk2::Adjustment) 

=back

=head2 window or undef = $viewport-E<gt>B<get_view_window> 

Since: gtk+ 2.22



=cut


=head1 PROPERTIES

=over

=item 'hadjustment' (Gtk2::Adjustment : default undef : readable / writable / construct / private)

The GtkAdjustment that determines the values of the horizontal position for this viewport

=item 'shadow-type' (Gtk2::ShadowType : default "in" : readable / writable / private)

Determines how the shadowed box around the viewport is drawn

=item 'vadjustment' (Gtk2::Adjustment : default undef : readable / writable / construct / private)

The GtkAdjustment that determines the values of the vertical position for this viewport

=back



=cut


=head1 SIGNALS

=over

=item B<set-scroll-adjustments> (Gtk2::Viewport, Gtk2::Adjustment, Gtk2::Adjustment)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ShadowType

=over

=item * 'none' / 'GTK_SHADOW_NONE'

=item * 'in' / 'GTK_SHADOW_IN'

=item * 'out' / 'GTK_SHADOW_OUT'

=item * 'etched-in' / 'GTK_SHADOW_ETCHED_IN'

=item * 'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

